AREASY
		     DOCUMENTATION FILE FOR AREASY VER 1.0 
		(Analysis and Programming by K&W Computer Works)

AREASY for Wing Commander Armada edits Terran and Kilrathi gun, missile,
and ship data. Edit gun Damage, Range, Speed, Firing Delay, Energy, and
Projectile Size parameters.  For missiles, edit the Duration, Speed, Turn
Rates, Damage, and Lock Times.  Edit ship Cruise Velocity, Max Velocity,
Acceleration, and the Yaw, Pitch, and Roll rates.

AREASY works by altering your hard drive copy of DATA.TRE.  This file MUST
be copied to your hard drive during game installation in order for AREASY to
work.  

AREASY is distributed as SHAREWARE.  As such, you are allowed to VIEW and EDIT
parameters only TEMPORARILY.  YOU WILL NOT BE ALLOWED TO SAVE ANY CHANGES TO 
THE DATA.TRE FILE IN THE SHAREWARE VERSION. Once you have registered your copy 
of AREASY (see below for registration information), you will receive a small 
key file which will unlock the file saving features of AREASY. I apologize for 
any inconvenience you incur as a result of being forced to register your copy 
of AREASY.  This registration is required because all too often shareware 
authors receive little or no compensation for their efforts - and analyzing 
Wing Commander Armada and writing AREASY did indeed take some effort!

*****  PLEASE READ!!  PLEASE READ!!  PLEASE READ!!  *******
Make your changes gradually and test your changes frequently by running them 
in the game and observing the results.  Don't enter huge values for the
various parameters.  Any values you enter that are outside of the game engine 
operating parameters will cause the game to malfunction, halt, or even to
crash your PC.  I tested numerous parameter values for guns, missiles, and
ship data and they are listed later in this file in the "USING AREASY" section. Please read them carefully.
*****  PLEASE READ!!  PLEASE READ!!  PLEASE READ!!  *******





*******************************************************************************
				  INSTALLATION 

Installation is easy.  Just copy AREASY.EXE, and this text file (if desired) 
to your Wing Commander Armada directory on your hard drive (\armadacd, usually). 
Run AREASY by typing "areasy" at the DOS command prompt.  For program 
information, type "areasy ?".

If you are running the shareware version of AREASY (you haven't registered the
program and loaded the key file), you will see an initial screen notifying you
that the version of AREASY you are running is not registered.  There is a 
built-in time delay (about 5 seconds) that forces you to read the registration
information page.  After the time delay has elapsed you will be allowed to enter
the program.  Registration information appears at the top of the Main Menu page.

AREASY will verify the presence of the DATA.TRE file and will attempt to 
open this file.  If all goes well, you will be presented with the Main Menu 
page of the editor.  If AREASY fails to open DATA.TRE and you know this file 
and AREASY are located in the same directory, make sure the read-only bit 
on DATA.TRE is turned off.  Some CDROM systems fail to turn off this attribute 
bit when copying files from the CDROM to the hard drive. Use the DOS attrib 
command and enter "attrib -r data.tre" to turn off the bit.

AREASY is VERY SIMPLE to use and it was written with an easy-to-use interface 
in mind.  Just select the menu item number you want and press <return>. All 
selections in AREASY are made using this method.  The menu item in the Main 
Menu that ordinarily triggers SAVE/EXIT functionality is turned off in the 
shareware version.

The gun, missile, and ship edit pages function the same. Enter the menu item
number of the item you wish to change, and then enter numerical values for
each parameter for the item (enter the numerical value and press <return>).
Just press <return> with no number entry to skip the entry and leave the value
unchanged. There are numerical limits to the range of values you can enter. 
AREASY will check each of your entries and will truncate the size of each entry
so that the data fits correctly into the game "slots". If you are experimenting
and enter large values (do NOT enter any negative values), make sure that the 
menu pages display the correct value you want.  For example, if you enter a 
value of 1350 into a slot that only allows values ranging from 0-255, the 
final edit value will be truncated to less than or equal to 255. Please read 
the following "USING AREASY" section for example parameter values.

Once you are done with your changes, select the Main Menu SAVE/EXIT function
(assuming you are running the registered version of AREASY) to exit the program
while saving any edits you've made.  Select the EXIT/NO CHANGES function to 
exit both the shareware and registered versions with no changes being made to 
the DATA.TRE file.





*******************************************************************************
				 USING AREASY

THIS INFORMATION IS IMPORTANT.  PLEASE READ IT CAREFULLY! (I myself am very
guilty of not reading the "readme" files that accompany software, but if you
don't read THIS information you might spend LOTS of time rebooting your PC
and restarting Wing Commmander Armada!!!  Enough said, ok?)

The game is sensitive to drastic changes, therefore, be careful of the values 
you enter.  Make gradual changes and CHECK THEM OFTEN.  In other words, don't 
make 25 changes before running the game. If the game hangs when the mission 
loads or a weapon is programmed to fire, you'll have a hard time knowing which 
of your changes caused the crash! The following listing summarizes my 
recommendations for altering game play.  Of course, do what you want, but 
please at least use my recommendations as a starting point. You can make the 
game as hard or as easy as you want.

1.  Keep a backup of your DATA.TRE file at all times. You may decide to 
scrap all changes and start over!

2.  AREASY presents the gun, missile, and ship data in ordered listings. I 
like to use the Print Screen key to do screen dumps of the data to my printer.
AREASY runs in DOS text mode so screen dumps are no problem. It is helpful
to have a record of your edits during game play.

3.  Select the Edit GUNS menu page.  For weapons that are used by both
Terran and Kilrathi players, I have tried to specify which side uses the
weapon. For exaple, there are two lasers with one specified for Terran players
and the other for Kilrathi. Refer to the "Voices Of War" reference book
that came with the game for more identifications on the weapons used by
each side. I tried to follow the format of this book when writing AREASY in
order to keep things as simple as possible. 

4. Before getting into the gun parameters, just one more thing.  The Terran
and Kilrathi can BOTH ACCESS THE SAME GUN RECORDS - there is sometimes only a
single record in the game for good/bad guys. In other words, if you create a
really powerful gun to use on the enemy, remember that an enemy ship equipped 
with the same gun may have accessed the gun record you edited and it will then
use the same powerful gun on you!  My way of getting around this problem is 
to fly a ship that has guns which are not used very much by the opposite side.

5.  GUN parameter summary (how to alter the guns):

	DAMG -- Increase this value for more damage and decrease it for less. 
		Generally, enter values in the range of 0 (for NO damage) to 
		about 30000 (for LOTS of damage).  The actual values 
		correspond somewhat with game literature values.

	RANGE -- General range of the gun. Similar to game literature values.

	SPEED -- General speed of the gun projectiles. Similar to literature
		 values.

	FIRING DELAY -- This value is NOT the time value referenced in the
			game literature. No time conversion has been done on
			the data. Lower the value to 0 for no time delays.
			A 0 value will cause the gun to fire in a machine
			gun manner.

	ENERGY -- This is the general amount of energy the gun drains from
		  your vehicle's power system with each shot.  Reduce this
		  value to 0 for the gun to drain NO energy from your ship.

	SIZE -- The size of the visible projectile in game units.  Make this
		value larger to increase the size of the projectile.

5.  The following listing is a screen shot of the GUN ALTERATION MENU when
I was playing in Gauntlet mode as a Kilrathi. This works well unless you are
facing up against another Kilrathi ship!

			GUN ALTERATION MENU

 #             GUN NAME         DAMG  RANGE  SPEED  FIRING DELAY  ENERGY  SIZE

 1)            Laser (Confed)     13   5000   3000       320         15    150
 2)          Laser (Kilrathi)  30000  20000   6000         0          0    150
 3)           Mass Driver Gun     20   2500   2000       358         18    150
 4)               Neutron Gun  30000  20000   6000         0          0    100
 5)           Particle Cannon     23   3000   2200       332         25    200
 6)            Tachyon Cannon     25   3500   2500       384         30    100
 7)      Ionic Pulse (Confed)     33   2000   2300       256         37    100
 8)          Matter Disrupter     33   2000   2300       256         37    100
 9)             Reaper Cannon     40   4200   2700       448         50    100
10)    Photon Cannon (Confed)     37   4200   2800       422         43    100
11)  Photon Cannon (Kilrathi)  30000  20000   6000         0          0    100
12)          Mass Accelerator  30000  20000   6000         0          0    150
13)               Flux Cannon  30000  20000   6000         0          0    150
14)         Sonic Accelerator  30000  20000   6000         0          0    100
15)             Phase Blaster  30000  20000   6000         0          0    200
16)              Electron Gun  30000  20000   6000         0          0    100
17)                Plasma Gun  30000  20000   6000         0          0    100
18)           Cloaking Device      0      1      1         0          0    100
19)     **** RETURN TO MAIN MENU ****



6.  The following listing summarizes the MISSILE parameters that can be
edited.  The LOCK TIME parameter is VERY SENTITIVE to change and it is very
easy to set up a lock time which causes the missile to NEVER lock!

	DURATION - The approximate life time of the missile in seconds. This
		   value is oftentimes different from game literature values.

	SPEED - The maximum velocity of the missile. Values shown are similar
		to game literature values.

	TURN RATE -- The general maneuverability of the missile. Increase this
		     value up to 255 for maximum turning ability.

	DAMAGE -- The overall damage caused by the missile. Note that these
		  values (which are the REAL values used by the game engine)
		  are oftentimes VERY different from literature reference 
		  values.

	LOCK TIME -- The approximate locking time in game units. BE CAREFUL 
		     when changing this value - its easy to really mess up
		     your missile lock-ons with bad edits here!


7. The following listing is a screen dump of the MISSILE ALTERATION MENU
page of a test gauntlet game when I was on the Kilrathi side.

			MISSILE ALTERATION MENU

 #   MISSILE NAME      DURATION    SPEED    TURN RATE    DAMAGE    LOCK TIME

 1) Dart Dumbfire          5        2800         0          200          0
 2)  Paw Dumbfire         30        5000       255        30000          0
 3)    Javalin HS         10        2500        60          180        384
 4)    Stalker HS         30        5000       255        30000        435
 5)   Spiculum IR         10        2300        60          190        640
 6)       Claw IR         30        5000       255        30000        563
 7)      Pilum FF         15        2200        60          100          0
 8)       Fang FF         30        5000       255        30000          0
 9)         Leech         10        2300        45           -1        640
10)     Chaff Pod         30           0         0           -2          0
11)     Torpedo 1         10        2500        60          250       5248
12)     Torpedo 2        120        2500        60          250       5248
13)     **** RETURN TO MAIN MENU ****


8.  Several critical ship parameters can be edited.  The following listing
summarizes the possible changes:
	
	CRUISE VELOCITY -- This is the maximum velocity obtainable using
			   the throttle (+/- keypad) controls. This value
			   can be roughly compared to the "Max Velocity"
			   given in the game literature, but the true Max
			   Velocity is that speed obtained using the 
			   Afterburners.

	MAX VELOCITY -- The maximum velocity using the Afterburners.

	ACCELERATION -- The acceleration of your vehicle in game units.

	YAW, PITCH, ROLL RATES -- These are the true roll rates. Increase
			them for faster vehicle response times.  Its very
			possible to make your vehicle unflyable if you increase
			the rates too much.

9.  The following listing is a screen dump of the above-mentioned test Gauntlet
missions where I was on the Kilrathi side. Note the large velocity and 
acceleration values - real FAST vehicles!

			SHIP ALTERATION MENU

 #    VEHICLE    CRUISE VEL    MAX VEL    ACCEL    YAW    PITCH   ROLL

 1)      Arrow       800         1300        40      2       2      2
 2)    Phantom       700         1100        35      2       2      2
 3)     Wraith       600         1000        30      2       2      2
 4)    Gladius       750          950        20      2       2      2
 5)    Banshee       400          600        15      2       2      2
 6)    Dralthi       500        10000      2000      4       4      4
 7)   Shok'lar       500        10000      2000      2       2      2
 8)    Jrathek       800        10000      2000      2       2      2
 9)   Kor-larh       500        10000      2000      2       2      2
10)      Goran       500        10000      2000      2       2      2
11)     **** RETURN TO MAIN MENU ****





*******************************************************************************
			     PLEASE REGISTER AREASY!

As previously mentioned, the SHAREWARE version of AREASY does NOT allow any
file saving for permanent game changes.  When you register AREASY, you will
receive a small key file that will unlock the FILE SAVE features of the program.
Currently, the AREASY registration fee is $15.00 (US dollars). You can register
AREASY via CompuServe's registration database (GO SWREG), or via US mail. If 
you register by mail, please send a check or money order (made payable to 
Wayne Sikes) to:

		Wayne Sikes
		P.O. Box 945
		Peralta, New Mexico  87042-0945

Let me know how you want to receive the key file - CompuServe mail, Internet,
or US mail (floppy disk) and I'll get it to you quickly.  Note that you will 
need a copy of UUDECODE in order for me to mail the key file to you via 
Internet. Internet only allows text messages to be mailed and I will have to
run UUENCODE on the zipped key file before sending it to you. You can get
good shareware versions of UUDECODE at lots of Internet and BBS sites. (Just
run UUDECODE on the Internet text message, unzip it, and install the key. 
Real easy!)





*******************************************************************************
				  LEGAL STUFF

You may distribute copies of the Shareware version of AREASY (provided you
include the AREASY.DOC text file in your distribution). You MAY NOT distribute 
copies of the AREASY KEY FILE to any individual, bulletin-board, or network 
services.  Distribution of the AREASY key is considered the same as 
distribution of Registered copies of AREASY and that is strictly illegal.  
Please don't attempt to reverse engineer or otherwise alter the key file.
It has built-in security protection and any alterations you make will most 
likely cause AREASY to malfunction and your Registration status would be 
permanently turned off.

If you include this program in any retail or wholesale software packages, 
compilations, libraries, archives, etc. please contact me.  As with all my 
analysis and engineering software, this program is copywritten by K & W 
Computer Works.

Thank you for using AREASY and enjoy Wing Commander Armada!!
*********************  END OF AREASY.DOC FILE ***********************
